WordPress.org

Ready to get started?Download WordPress

Forums

Post UI Tabs
[resolved] Last Update broke the plugin (11 posts)

  1. cool_recep
    Member
    Posted 1 year ago #

    When the first updates came after a long time, first problem was the style. Style was corrupted.

    Now with the last update, plugin is completeley useless:

    http://www.technopat.net/2012/07/03/msi-ge-60-onc-dizustu-bilgisayar-incelemesi/

    http://wordpress.org/extend/plugins/put/

  2. Mark / t31os
    Moderator
    Plugin Author

    Posted 1 year ago #

    Another plugin is loading an older version of jQuery UI alongside Post UI Tabs, it's creating a conflict.

    I can see directly by looking at the source on your page.

    From another plugin.

    <script type='text/javascript' src='https://ajax.googleapis.com/ajax/libs/jqueryui/1.8.21/jquery-ui.min.js?ver=1.8.21'></script>

    From Post UI Tabs(using internal WordPress jQuery UI).

    <script type='text/javascript' src='http://www.technopat.net/wp-includes/js/jquery/ui/jquery.ui.core.min.js?ver=1.9.2'></script>
  3. cool_recep
    Member
    Posted 1 year ago #

    Thanks, I will check the plugin ;)

  4. Petite Fleuve
    Member
    Posted 1 year ago #

    Hi,

    Since sunday, aprox a dozen hours ago, all our TABS stop rendering.
    Example: http://www.magazine-hd.com/apps/wp/passatempo-mhd-homem-de-ferro-3/

    Any workaround or fix coming ?

    Thanks

  5. Mark / t31os
    Moderator
    Plugin Author

    Posted 1 year ago #

    @cool recep - Let me know how you get on. :)

    @Petite Fleuve,

    I've just installed 3.5.1 to test specifically for conflicts or issues with that version of WordPress, tabs all work here for me, so i took a second look at your page and realised other Javascript on the page is producing errors.

    See my screenshot here of the firebug console.
    http://img404.imageshack.us/img404/7633/firebugmagazinehd.jpg

    As far as i can test, the tabs should work just fine, so my suggestion to you would be to either test with the problem plugins(those causing the JS errors) disabled or test Post UI Tabs on a seperate install that doesn't include those plugins.

    Do the demo tabs on the plugin's configuration page work?

  6. Petite Fleuve
    Member
    Posted 1 year ago #

    Hi Mark,

    Thanks for your feedback.

    But please take into account that 1.0.8 works fine with us. It is 1.0.9 that doesnt work. The demo tabs on the plugin's configuration page also works fine.

    As we did not make any changes on our platform, we think the problem doesnt come from our sw. We think the problem is a jquery versions conflit, and not javascript errors.

    Please help.
    Regards

  7. Mark / t31os
    Moderator
    Plugin Author

    Posted 1 year ago #

    Version 1.0.8
    http://plugins.svn.wordpress.org/put/tags/1.0.8/put.php

    Version 1.0.9
    http://plugins.svn.wordpress.org/put/tags/1.0.9/put.php

    They both use the same version of jQuery and jQuery UI, because they are loaded from the internal set of scripts included in WordPress. So unless you've recently updated WordPress, the script versions would have been exactly the same across both versions of Post UI Tabs.

    These are the scripts the plugin loads(in both 1.0.8 and 1.0.9).

    http://core.svn.wordpress.org/tags/3.5.1/wp-includes/js/jquery/jquery.js
    http://core.svn.wordpress.org/tags/3.5.1/wp-includes/js/jquery/ui/jquery.ui.core.min.js
    http://core.svn.wordpress.org/tags/3.5.1/wp-includes/js/jquery/ui/jquery.ui.tabs.min.js

    If you want to test 1.0.8 again though to verify it indeed still works, you can find a download link for it here.

    http://wordpress.org/extend/plugins/put/developers/

  8. Petite Fleuve
    Member
    Posted 1 year ago #

    Thanks Mark, for your support.

    We will give a try to 1.0.8 again

    Regards

  9. Mark / t31os
    Moderator
    Plugin Author

    Posted 1 year ago #

    Happy to help, let me know how you get on. :)

  10. Petite Fleuve
    Member
    Posted 1 year ago #

    Hi Mark,

    Almost everything ok.
    Version 1.0.10 works fine! So did 10.0.8 as well.
    Only 1.0.9 did not.

    Only the navigation buttons (left and right, ara ionoperative now on version 10, but that you should know already.
    Nice touch the butons ;)

    Regards

  11. Mark / t31os
    Moderator
    Plugin Author

    Posted 1 year ago #

    Enable the Use disabled tabs option and see if that resolves the problem with navigation please.

    :)

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic

Tags

No tags yet.